complexType "CorrectableRequestMessage"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 7 elements
Defined: | globally in fpml-msg-5-3.xsd; see XML source
Includes: | definition of 1 element
Used: | at 7 locations

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "4"
| >
Content: | header?, validation*, isCorrection?, (parentCorrelationId?, correlationId?, sequenceNumber?)?, onBehalfOf[0..4]?
</...>

Content Model Elements (7):

  correlationId,
  header (defined in RequestMessage complexType),
  isCorrection (defined in CorrectableRequestMessage complexType),
  onBehalfOf (defined in OnBehalfOf.model group),
  parentCorrelationId,
  sequenceNumber (defined in Sequence.model group),
  validation

Known Direct Subtypes (7):

  CreditEventNotification, NettedTradeCashflowsAsserted, RequestInterest, RequestMargin, RequestPositionReport, RequestSubstitution, RequestValuationReport

All Direct / Indirect Based Elements (7):

  creditEventNotification, nettedTradeCashflowsAsserted, requestInterest, requestMargin, requestPositionReport, requestSubstitution, requestValuationReport

Known Usage Locations

- In derivations of other global types (7):

  CreditEventNotification (as extension base), NettedTradeCashflowsAsserted (as extension base), RequestInterest (as extension base), RequestMargin (as extension base), | RequestPositionReport (as extension base), RequestSubstitution (as extension base), RequestValuationReport (as extension base)

Annotation
A type defining the content model for a request message that can be subsequently corrected or retracted.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) CorrectableRequestMessage

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="CorrectableRequestMessage"> <xsd:complexContent> <xsd:extension base="RequestMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="isCorrection" type="xsd:boolean"/> <xsd:group minOccurs="0" ref="CorrelationAndSequence.model"/> <xsd:group minOccurs="0" ref="OnBehalfOf.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/7)
isCorrection

  Type: | xsd:boolean, predefined, simple content

  Indicates if this message corrects an earlier request.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="isCorrection" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.